Skip to main content

Get Event Params Schema For Sandbox

GET 

/v1/sandbox/:sandbox_id/event-params-schema

Get All Event Params Schemas, requires sandbox:config:view permission

Request

Path Parameters

    sandbox_id uuidrequired

    Sandbox ID

Query Parameters

    page_size Page Size

    Possible values: >= 1 and <= 10000

    Default value: 50

    The maximum number of elements to be returned per call

    cursor Cursor

    Possible values: non-empty and <= 128 characters

    Default value: 0

    Cursor to designate where you are in iterating through values. Start with '0', and pass this on subsequent calls to continue iteration

Responses

Successful Response

Schema

    event_params_schemas

    object[]

    required

    A list of EventParamsSchema

  • Array [

  • custom_data

    object

    Custom data associated with the resource

    property name* string
    name Name (string)

    Possible values: non-empty and <= 125 characters

    Name of the resource

    description Description (string)

    Possible values: <= 250 characters

    Description of the resource

    last_modified_account_id uuid

    Account ID of the user who last modified the resource

    last_modified_timestamp date-time

    Timestamp of when the resource was last modified

    created_timestamp date-time

    Timestamp of when the resource was created

    event_name Event Name (string)required

    Name of the event, unique for sandbox_id

    value_jsonschema object

    Default value: [object Object]

    JSONSchema definition of the setting

    state State (string)

    Possible values: [enabled, disabled, deny]

    An enumeration.

  • ]

  • page_meta

    object

    required

    cursor Cursor (string)required

    Possible values: non-empty and <= 128 characters

    Cursor to designate where you are in iterating through values. Start with '0', and pass this on subsequent calls to continue iteration

    page_size Page Size (integer)

    Possible values: >= 1 and <= 10000

    Default value: 50

    The maximum number of elements to be returned per call

    total Total (integer)

    Default value: 0

    The total number of entities.

Loading...